unit QDirectoryDialog;

interface

uses
  SysUtils, Types, Classes, QGraphics, QControls, QForms, QDialogs;

type
  TDirectoryDialog = class(TCustomDialog)
  private
    FCaption: string;
    FRoot: string;
    FDirName: string;
    FInitialDir: string;
    { Private declarations }
  protected
    { Protected declarations }
  public
    constructor Create(aOwner: TComponent); override;
    function Execute:Boolean; override;
    property DirName:string read FDirName write FDirName;
    { Public declarations }
  published
    property Caption:string read FCaption write FCaption;
    property Root:string read FRoot write FRoot;
    property InitialDir:string read FInitialDir write FInitialDir;
    { Published declarations }
  end;

procedure Register;

implementation

constructor TDirectoryDialog.Create(aOwner:TComponent);
begin
inherited Create(aOwner);
Caption := 'Select Directory';
end;

function TDirectoryDialog.Execute:Boolean;
var
Dir: string;
begin
Dir := InitialDir;
if SelectDirectory(Caption, Root, Dir) then
DirName := Dir;
Result := True;
end;

procedure Register;
begin
  RegisterComponents('666soft', [TDirectoryDialog]);
end;

end.

